const state = {
	member: uni.getStorageSync('user') ? uni.getStorageSync('user') : {}, //数据不缓存
	mToken: uni.getStorageSync('member-token') ? uni.getStorageSync('member-token') : null,
	parentId: 0,
};
const mutations = {
	setParentId(state, param) {
		state.parentId = param;
	},
	setMember(state, param) {
		state.member = param;
		uni.setStorageSync('user', param);
		if (null === param) {
			uni.removeStorageSync('member-token');
			uni.removeStorageSync('member-balance');
			state.mToken = null;
			state.balance = {};
			state.member = {};
		}
	},
	setToken(state, param) {
		state.mToken = param;
		uni.setStorageSync('member-token', param);
	},
};

const getters = {
	getToken(state) {
		return state.mToken
	},
};

export default {
	state,
	mutations,
	getters
}
