const state = {
	upList: [],
	downList: [],
	outList: [],
	bagList: [],
	shoeList: [],

	season: -1,
	wxType: -1,

	clothTabs: uni.getStorageSync('clothTabs') ? uni.getStorageSync('clothTabs') : [
		{
			tid: "50000671",
			name: 'T恤',
			type: 1,
			data: []
		},
		{
			tid: "50008898",
			name: '卫衣',
			type: 1,
			data: []
		},
		{
			tid: "50000697",
			name: '针织衫',
			type: 1,
			data: []
		},
		{
			tid: "162104",
			name: '衬衫',
			type: 1,
			data: []
		},
		{
			tid: "162201",
			name: '休闲裤',
			type: 2,
			data: []
		},
		{
			tid: "1623",
			name: '半身裙',
			type: 2,
			data: []
		},
		{
			tid: "162205",
			name: '牛仔裤',
			type: 2,
			data: []
		},
		{
			tid: "162201",
			name: '阔腿裤',
			type: 2,
			data: []
		},
		{
			tid: "162205",
			name: '小脚裤',
			type: 2,
			data: []
		},
	]
};
const mutations = {
	setUpList(state, param) {
		state.upList = param;
	},
	setDownList(state, param) {
		state.downList = param;
	},
	setOutList(state, param) {
		state.outList = param;
	},
	setBagList(state, param) {
		state.bagList = param;
	},
	setShoeList(state, param) {
		state.shoeList = param;
	},
	setSeason(state, param) {
		state.season = param;
	},
	setWxType(state, param) {
		state.wxType = param;
	},
	setClothTabs(state, param) {
		state.clothTabs = param;
		uni.setStorageSync('clothTabs', param);
	},
};

export default {
	state,
	mutations
}
