import config from '../../config.js'
const state = {
	domain: uni.getStorageSync('domain') ? uni.getStorageSync('domain') : config.apiUrl,
	mainHome: uni.getStorageSync('mainHome') ? uni.getStorageSync('mainHome') : 1,
	kefuList: uni.getStorageSync('kefuList') ? uni.getStorageSync('kefuList') : [],
	preLogin: false,
	netState: 'none',
	banner: uni.getStorageSync('banner') ? uni.getStorageSync('banner') : [],
	viptell: uni.getStorageSync('viptell') ? uni.getStorageSync('viptell') : [],
	promTab: uni.getStorageSync('promTab') ? uni.getStorageSync('promTab') : [],
	vipTab: uni.getStorageSync('vipTab') ? uni.getStorageSync('vipTab') : [],
	utilityTab: uni.getStorageSync('utilityTab') ? uni.getStorageSync('utilityTab') : [],
	pTab: uni.getStorageSync('pTab') ? uni.getStorageSync('pTab') : {},
	carCity: uni.getStorageSync('carCity') ? uni.getStorageSync('carCity') : [],
	cityCode: uni.getStorageSync('cityCode') ? uni.getStorageSync('cityCode') : 101010100,
	cardImg: '',
	emotionList: uni.getStorageSync('emotionList') ? uni.getStorageSync('emotionList') : [],
	hopeList: uni.getStorageSync('hopeList') ? uni.getStorageSync('hopeList') : [],
	achieveList: uni.getStorageSync('achieveList') ? uni.getStorageSync('achieveList') : [],
	emotionTotal: uni.getStorageSync('emotionTotal') ? uni.getStorageSync('emotionTotal') : 0,
	fuzhi: uni.getStorageSync('fuzhi') ? uni.getStorageSync('fuzhi') : {},
	weatherNow: uni.getStorageSync('weatherNow') ? uni.getStorageSync('weatherNow') : {},
	topMsg: uni.getStorageSync('topMsg') ? uni.getStorageSync('topMsg') : 1,
	adCustom: uni.getStorageSync('adCustom') ? uni.getStorageSync('adCustom') : 1,
	wxTitle: [],
	vipIntro: [],
	vipTitle:'',
	fileDetail:0,
	clCalendar:0,
	colorObj: {},
	btnRecIndex: 1,
	toolList: [],
	colorShareTitle: uni.getStorageSync('colorShareTitle') ? uni.getStorageSync('colorShareTitle') : '五行穿搭',
	colorShareNote: uni.getStorageSync('colorShareNote') ? uni.getStorageSync('colorShareNote') : '用五行旺运穿衣法，事半功倍哦',
	colorShareSetting: uni.getStorageSync('colorShareSetting') ? uni.getStorageSync('colorShareSetting') : 0,
	picObj: null,
	familyList: [],
	hday:[],
};
const mutations = {
	setColorShareTitle(state, param) {
		state.colorShareTitle = param ? param : '五行穿搭';
		uni.setStorageSync('colorShareTitle', param);
		//只设置了缓存，没有改变state的数据
		state.colorShareSetting = param ? 1 : 0;
		uni.setStorageSync('colorShareSetting', param ? 1 : 0);
	},
	setColorShareNote(state, param) {
		state.colorShareNote = param ? param : '用五行旺运穿衣法，事半功倍哦';
		uni.setStorageSync('colorShareNote', param);
		state.colorShareSetting = param ? 1 : 0;
		uni.setStorageSync('colorShareSetting', param ? 1 : 0);
	},
	setDomain(state, param) {
		state.domain = param;
		uni.setStorageSync('domain', param);
	},
	setPreLogin(state, param) {
		state.preLogin = param;
	},
	setWxTitle(state, param) {
		state.wxTitle = param;
	},
	setVipTitle(state, param) {
		state.vipTitle = param;
	},
	setVipIntro(state, param) {
		state.vipIntro = param;
	},
	setClClendar(state, param) {
		state.clCalendar = param;
	},
	setFileDetail(state, param) {
		state.fileDetail = param;
	},
	setNetState(state, param) {
		state.netState = param;
	},
	setBanner(state, param) {
		state.banner = param;
	},
	setFamilyList(state, param) {
		state.familyList = param;
	},
	setVipTell(state, param) {
		state.viptell = param;
		uni.setStorageSync('viptell', param);
	},
	setKefuList(state, param) {
		state.kefuList = param;
		uni.setStorageSync('kefuList', param);
	},
	setPromTab(state, param) {
		state.promTab = param;
		uni.setStorageSync('promTab', param);
	},
	setVipTab(state, param) {
		state.vipTab = param;
		uni.setStorageSync('vipTab', param);
	},
	setPTab(state, param) {
		state.pTab = param;
		uni.setStorageSync('pTab', param);
	},
	setUtilityTab(state, param) {
		state.utilityTab = param;
		uni.setStorageSync('utilityTab', param);
	},
	setCarCity(state, param) {
		state.carCity = param;
		uni.setStorageSync('carCity', param);
	},
	setTopMsg(state, param) {
		state.topMsg = param;
		uni.setStorageSync('topMsg', param);
	},
	setAdCustom(state, param) {
		state.adCustom = param;
		uni.setStorageSync('adCustom', param);
	},
	setCityCode(state, param) {
		state.cityCode = param;
		uni.setStorageSync('cityCode', param);
	},
	setCardImg(state, param) {
		state.cardImg = param;
	},
	setEmotionList(state, param) {
		state.emotionList = param;
	},
	addEmotionItem(state, item) {
		state.emotionList.push(item)
	},
	setEmotionTotal(state, param) {
		state.emotionTotal = param;
	},
	setHopeList(state, param) {
		state.hopeList = param;
		uni.setStorageSync('hopeList', param);
	},
	setHday(state, param) {
		state.hday = param;
		uni.setStorageSync('hday', param);
	},
	setAchList(state, param) {
		state.achieveList = param;
		uni.setStorageSync('achieveList', param);
	},
	addHopeItem(state, item) {
		state.hopeList.unshift(item)
	},

	setFuzhi(state, param) {
		state.fuzhi = param;
	},
	setWeatherNow(state, param) {
		state.weatherNow = param;
	},
	setMainHome(state, param) {
		state.mainHome = param;
		uni.setStorageSync('mainHome', param);
	},
	setColorObj(state, param) {
		state.colorObj = param;
	},
	setBtnRecIndex(state, param) {
		state.btnRecIndex = param;
	},
	setTools(state, param) {
		state.toolList = param;
	},
	setPicObj(state, param) {
		state.picObj = param;
	},

};

export default {
	state,
	mutations
}