import Vue from 'vue';
import  Vuex  from 'vuex';
Vue.use(Vuex);

import member from './modules/member.js';
import location from './modules/location.js';
import data from './modules/data.js';
import cloth from './modules/cloth.js';
import tuna from './modules/tuna.js';

const modules = {
	member,
	location,
	data,
	cloth,
	tuna
};

const store = new Vuex.Store({
	modules
});

export default store